Show the CRT signing secret
Returns the shared secret (and its key ID) your backend uses to self-sign CRT license-delivery authorization JWTs. Treat the secret as sensitive.
curl -X GET "https://api.5centscdn.com/v2/drm/crt" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/drm/crt"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/crt", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/drm/crt", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/crt')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"kid": "84ce8bbc-eb7f-42fd-bcc4-f42634b0067b",
"secret": "7c8be8fb0d9a5ddae5768b80d9ea79878a29d1f5116725b4102b9758311bb2f",
"enabled": true
}
/drm/crt
Target server for requests. Edit to use your own host.
API key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Responses
Operation outcome.
Key ID of the signing secret. Use as the kid header of self-signed CRT JWTs.
Hex-encoded shared signing secret.
True if the secret is active in DRMtoday's Token Authorization settings. Null if the live DRMtoday lookup failed - kid and secret are still valid.